/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *         EXTENDED KNUTH BENDIX ORDERING                 * */
/* *                                                        * */
/* *  $Module:   KBO                                        * */ 
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.48 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 1998/07/20 20:56:38 $                             * */
/* $Author: weidenb $                                       * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


/* $RCSfile: kbo.h,v $ */

#ifndef _KBO_
#define _KBO_

/**************************************************************/
/* Includes                                                   */
/**************************************************************/

#include "term.h"
#include "context.h"
#include "foldfg.h"
#include "order.h"

/**************************************************************/
/*  FUNCTIONS                                                 */
/**************************************************************/

ord_RESULT kbo_Compare(TERM, TERM);
ord_RESULT kbo_ContCompare(CONTEXT, TERM, CONTEXT, TERM); 
BOOL       kbo_ContGreater(CONTEXT, TERM, CONTEXT, TERM);

#endif
