/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *           INFERENCE RULES FOR SORTS                    * */
/* *                                                        * */
/* *  $Module:   SORTRULES                                  * */ 
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.46 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 1998/07/20 20:56:39 $                             * */
/* $Author: weidenb $                                       * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


/* $RCSfile: rules-sort.h,v $ */

#ifndef _SORTRULES_
#define _SORTRULES_

/**************************************************************/
/* Includes                                                   */
/**************************************************************/

#include "sort.h"
#include "unify.h"
#include "clause.h"

/**************************************************************/
/* Functions                                                  */
/**************************************************************/        

LIST inf_ForwardSortResolution(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_BackwardSortResolution(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_ForwardEmptySort(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_BackwardEmptySort(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_ForwardWeakening(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_BackwardWeakening(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_ForwardEmptySortPlusPlus(CLAUSE, st_INDEX, SORTTHEORY);
LIST inf_BackwardEmptySortPlusPlus(CLAUSE, st_INDEX, SORTTHEORY);

#endif
