/**************************************************************/
/* Data Structures and Constants                              */
/**************************************************************/

#include <math.h>
#include "symbol.h"
#include "clause.h"
#include "memory.h"

typedef enum {POS, NEG, BOTH} POL;

typedef struct litstat {
  TERM    literal;
  POL     polarity;
  POL     polarities;
  NAT     numocc;
  struct CLAUSE_HELP *owningClause;
  BOOL   propositional;
  int    litindex;
} LITSTAT;

typedef LIST LITSTATS;

extern LITSTATS stat_STORE;
extern POL      stat_POL;
extern int      stat_POS;

CLAUSE stat_compute(LIST List);
