/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *                  CLAUSE APPROXIMATION                  * */
/* *                                                        * */
/* *  $Module:   APPROX                                     * */ 
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.42 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 1998/12/02 18:05:42 $                             * */
/* $Author: schmidt $                                       * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/

/* $RCSfile: approx.h,v $ */

#ifndef _APPROX_
#define _APPROX_

#include "list.h"
#include "clause.h"

void approx_Init(void);

LIST approx_MonadicByProjection(LIST);
LIST approx_MonadicByTermEncoding(LIST);
LIST approx_MonadicMakeLinear(LIST);
LIST approx_MonadicFlattenHeads(CLAUSE, BOOL);
LIST approx_MakeHorn(CLAUSE);

#endif
