/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *                   RENAMING                             * */
/* *                                                        * */
/* *  $Module:   RENAMING                                   * */ 
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.50.1.1 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 1998/11/30 20:00:10 $                             * */
/* $Author: schmidt $                                       * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


/* $RCSfile: renaming.h,v $ */


#ifndef _SPASS_RENAMING_
#define _SPASS_RENAMING_

/**************************************************************/
/* Includes                                                   */
/**************************************************************/

#include "misc.h"
#include "foldfg.h"
#include "vector.h"

 
/**************************************************************/
/* Functions                                                 */
/**************************************************************/
void ren_Init(void);
BOOL ren_HasBenefit(TERM, int, TERM, int);
BOOL ren_Quantified(TERM, int, TERM, int);
BOOL ren_Complex(TERM, int, TERM, int);
TERM ren_Rename(TERM, LIST*, BOOL, BOOL, BOOL (*)());
#endif
