/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *               SPLITTING OF CLAUSES                     * */
/* *                                                        * */
/* *  $Module:   SPLIT                                      * */ 
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.50 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 1998/07/20 20:56:39 $                             * */
/* $Author: weidenb $                                       * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Im Stadtwald                               * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


/* $RCSfile: rules-split.h,v $ */

#ifndef _RULES_SPLIT_
#define _RULES_SPLIT_

/**************************************************************/
/* Includes                                                   */
/**************************************************************/

#include "clause.h"
#include "search.h"
#include "stat.h"

/**************************************************************/
/* Function Prototypes                                        */
/**************************************************************/        

LIST   split_Backtrack(PROOFSEARCH, CLAUSE);
void   split_KeepClauseAtLevel(PROOFSEARCH, CLAUSE, int);
void   split_DeleteClauseAtLevel(PROOFSEARCH, CLAUSE, int);
LIST   split_ExtractEmptyClauses(LIST, LIST*);
CLAUSE split_SmallestSplitLevelClause(LIST);


#endif
